#!/bin/sh

# |||||||||||||||||||| START CONFIGURATION SECTION  ||||||||||||||||||||

THIS_OS=`uname -a | awk '{print $1}'`
case $THIS_OS in
HP-UX)
    if ! [ "$WILYHOME" ] ; then
        WILYHOME="`pwd`/.."; export WILYHOME
    fi
    ;;
*)
    if [ -z "$WILYHOME" ]; then
        WILYHOME="`pwd`/.."; export WILYHOME
    fi
    ;;
esac

# The logfile (not currently used but could be used for stdout/stderr)
LOGFILE="${WILYHOME}/sendAlert.log"

# changes for passing heap values
MAX_HEAP_VAL_IN_MB=128m

JAVA_HOME=./jre/bin

# For PostgreSQL
JAVA_OPTS="-Dlog4j.configuration=./config/log4j.properties -DdbProps=./config/jdbc.properties -DmailProps=./config/mailer.properties -Djdbc.drivers=org.postgresql.Driver $MAX_HEAP_VAL_IN_MB"
# For Oracle
#JAVA_OPTS="-Dlog4j.configuration=./config/log4j.properties -DdbProps=./config/jdbc.properties -DmailProps=./config/mailer.properties $MAX_HEAP_VAL_IN_MB"
# ||||||||||||||||||||   END CONFIGURATION SECTION  ||||||||||||||||||||

cd "$WILYHOME"

$JAVA_HOME/java $JAVA_OPTS -jar CEMEvidenceMailer.jar "$1"

exit 0